# AzuAntiArthriticCrafting

### AzuAnti-ArthriticCrafting. Gives you an input field to enter the amount of items you want to craft (and a search filter feature for recipes). Instead of having to click the craft button 100 times or a fancy plus button 5-10 times. Meant to replace mods that still make you click like MultiCraft.


This mod is compatible with [AzuCraftyBoxes](https://thunderstore.io/c/valheim/p/Azumatt/AzuCraftyBoxes/), [CraftFromContainers](https://valheim.thunderstore.io/package/KxEdna/aedenthorn_CraftFromContainer/) by Aedenthorn/Adenthorn's Collaborators, and [TilValhalla](https://thunderstore.io/c/valheim/p/kevinwilso00/TillValhalla/). `Note: The CraftFromContainers version that was tested was the reupload on thunderstore.`

`This mod uses a file watcher. If the configuration file is not changed with BepInEx Configuration manager, but changed in the file directly, upon file save, it will sync the changes to all clients.`

This is *not* a controller friendly mod.

## Features
- **Scroll to Change Quantity**: Hover over the input box and use the scroll wheel to adjust the craft amount. Hold LeftShift to increment by 10 instead of 1.
- **Search by Mod Name**: Use `@modname` in the search box to filter items from specific mods (e.g., `@jewelcrafting`).
- **Recipe Requirement Search**: Prefix searches with `!` to find items based on their crafting requirements.
- **ServerSync Integration**: Crafting times are synchronized with the server. (if installed on the server and client)
- **Improved Compatibility**: Works with Auga (somewhat), Jewelcrafting, and other mods. If you find a mod it's not compatible with, please let me know.
- **User-Friendly UI**: Enhanced user interface aligned with Valheim's vanilla style.
- **Crafting Speed**: Crafting speed [synced with the server] by default.
- **Recipe Tracking**: Track the needed resources for crafting recipes. Video demonstration: [Recipe Tracking in 30 seconds](https://youtu.be/lvic_z9cfo4)
  - To use this feature, simply select the item in the list and click on the item's icon in the recipe details. This will add the item to the tracking list. Holding LeftControl before hovering the icon will allow you to remove it from the crafting menu without having to go to the escape menu.
    - If you increment the amount to craft before adding it, it will multiply the resources needed by that amount.
    - You can press escape (opening the game menu) to allow access to the tracking list. You can remove items from the list by clicking on the item's icon in the UI. (Hovering the icon should show a mini minus button to remove individual items). No need to be near a workbench to do this.
    - You can use the escape menu to also allow you to drag the UI around. This is useful if the UI is blocking something you need to see.
    - All colors are configurable in the config file. So are text sizes.
    - No you cannot remove the tracking list AAA Hand icon. It's there to stay. Consider it my trademark for screenshots :D
    - This UI will hide itself during combat. It will reappear when combat ends. This is to prevent it from blocking your view during combat.
    - Additionally, the UI will hide itself when opening the map in large view. This is to prevent it from blocking your view of the map.
    
    ![](https://cdn.discordapp.com/attachments/1020004838106476544/1223441778686955741/image.png?ex=6619ddf2&is=660768f2&hm=ee4ed79c29597b17055340c5bf66204ffff226b17e156130be96a8761ba91b5d&)

---

> ## Installation Instructions
***You must have BepInEx installed correctly! I can not stress this enough.***

#### Windows (Steam)

1. Locate your game folder manually or start Steam client and :

* Right click the Valheim game in your steam library
* "Go to Manage" -> "Browse local files"
* Steam should open your game folder

2. Extract the contents of the archive into the BepInEx\plugins folder.
3. Locate Azumatt.AzuAntiArthriticCrafting.cfg under BepInEx\config and configure the mod to your needs

#### Server

`This mod is not needed on a server. It, however, can be installed on the server to enforce configurations. If installed on the server, all clients must have the mod.`

`Feel free to reach out to me on discord if you need manual download assistance.`

# Author Information

### Azumatt

`DISCORD:` Azumatt#2625

`STEAM:` https://steamcommunity.com/id/azumatt/

For Questions or Comments, find me in the Odin Plus Team Discord or in mine:

[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.gg/Pb6bVMnFb2)
<a href="https://discord.gg/pdHgy6Bsng"><img src="https://i.imgur.com/Xlcbmm9.png" href="https://discord.gg/pdHgy6Bsng" width="175" height="175"></a>